matrix:
  platform:
    - debian11
    - ubuntu2404
    - macos_arm64
    - windows
  bazel: [7.x, 8.x, 9.x]
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_flags:
      - '--process_headers_in_dependencies'
    build_targets:
      - '@boost.config//:boost.config'
bcr_test_module:
  module_path: test
  matrix:
    platform:
      - ubuntu2404
      - macos_arm64
    bazel: [7.x, 8.x, 9.x]
  tasks:
    run_test_module:
      name: Run test module
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      build_flags:
        - '--process_headers_in_dependencies'
      build_targets:
        - //...
      test_targets:
        - //...
